Skip to main content
Platform O&M/Backup Management/Continuous Data Protection (CDP)/CDP Operations
POSTCDP OperationsSince 4.5.0SynchronousAuth Required

DisableCdpTask

DisableCdpTask

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The UUID of the resource.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    Succeeded.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryCdpTaskInventoryRequired

    See inventory.

    • uuidStringRequired

      The UUID of the resource.

    • nameStringRequired

      The name of the resource.

    • descriptionString

      Optional. The detailed description of the resource.

    • policyUuidStringRequired

      The UUID of permission policy.

    • backupStorageUuidStringRequired

      The UUID of backup storage.

    • backupBandwidthlongRequired

      The backup rate of a single volume.

    • maxCapacitylongRequired

      The planning capacity of the CDP task.

    • usedCapacitylongRequired

      The used capacity of the CDP task.

    • createDateTimestampRequired

      The time when the CDP task is created.

    • lastOpDateTimestampRequired

      The time when the CDP task is last modified.

    • statusCdpTaskStatusRequired

      See status.

      • CreatedCdpTaskStatusRequired

        The CDP task is created.

      • StartingCdpTaskStatusRequired

        The CDP task is starting.

      • RunningCdpTaskStatusRequired

        The CDP task is running.

      • StoppedCdpTaskStatusRequired

        The CDP task stopped.

      • UnknownCdpTaskStatusRequired

        The state of the CDP task is unknown.

      • FailedCdpTaskStatusRequired

        The CDP task failed.

    • stateCdpTaskStateRequired

      See state.

      • EnabledCdpTaskStateRequired

        The CDP task is enabled.

      • DisabledCdpTaskStateRequired

        The CDP task is disabled.

    • taskTypeCdpTaskTypeRequired

      See taskType.

      • VMCdpTaskTypeRequired

        The VM instance corresponding to the CDP task.

    • resourceRefsListRequired

      See resourceRefs.

      • taskUuidStringRequired

        The UUID of the CDP task.

      • resourceUuidStringRequired

        The UUID of the resource.

      • resourceTypeStringRequired

        The task resource list.

      • createDateTimestampRequired

        The time when the CDP task is created.

      • lastOpDateTimestampRequired

        The time when the CDP task is last modified.

Endpoint

POST/zstack/v1/cdp-task/disable/{uuid}

/zstack/v1/cdp-task/disable/{uuid}

Operation ID

DisableCdpTask

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/cdp-task/disable/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "e43bfb102a783c01a19ce023adaaea19", "name": "My Task", "policyUuid": "6ebcb0afeca13b1b99267fa6235ad632", "backupStorageUuid": "19c774019dae3569a72b5502fddab153", "status": "Stopped", "state": "Disabled", "taskType": "VM", "backupBandwidth": 1.048576E8, "maxCapacity": 1.073741824E11, "usedCapacity": 2.3952346E8 } }

Change History

This API has no change history records yet.

View all change history